## net.sf.saxon.expr
Class AtomicSequenceConverter.AtomicSequenceMappingFunction

    java.lang.Object
      net.sf.saxon.expr.AtomicSequenceConverter.AtomicSequenceMappingFunction

All Implemented Interfaces:
  ItemMappingFunction

Enclosing class:
  AtomicSequenceConverter

    public static class AtomicSequenceConverter.AtomicSequenceMappingFunction

extends Object
implements ItemMappingFunction

Field Summary
`BuiltInAtomicType` `requiredPrimitiveType`
`ConversionRules` `rules`

Constructor Summary
`AtomicSequenceConverter.AtomicSequenceMappingFunction()`

Method Summary
`Item` `mapItem(Item item)` Map one item to another item.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rules

    public ConversionRules rules

### requiredPrimitiveType

    public BuiltInAtomicType requiredPrimitiveType

Constructor Detail

### AtomicSequenceConverter.AtomicSequenceMappingFunction

    public AtomicSequenceConverter.AtomicSequenceMappingFunction()

Method Detail

### mapItem

    public Item mapItem(Item item)
                 throws XPathException

  Description copied from interface: `ItemMappingFunction`
  Map one item to another item.

  Specified by:
    `mapItem` in interface `ItemMappingFunction`
  Parameters:
    `item` - The input item to be mapped.
  Returns:
    either the output item, or null.
  Throws:
    `XPathException`

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.